VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Functions
stringconvert.h File Reference
`#include "pluginterfaces/vst/vsttypes.h"`
`#include <string>`

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::StringConvert
namespace | VST3
namespace | VST3::StringConvert

## Functions
std::u16string | convert (const std::string &utf8Str)
| Forward to Steinberg::StringConvert::convert (...)
std::string | convert (const std::u16string &str)
| Forward to Steinberg::StringConvert::convert (...)
std::string | convert (const char *str, uint32_t max)
| Forward to Steinberg::StringConvert::convert (...)
bool | convert (const std::string &utf8Str, Steinberg::Vst::String128 str)
| convert an UTF-8 string to an UTF-16 string buffer with max 127 characters
bool | convert (const std::string &utf8Str, Steinberg::Vst::TChar *str, uint32_t maxCharacters)
| convert an UTF-8 string to an UTF-16 string buffer
std::string | convert (const Steinberg::Vst::TChar *str)
| convert an UTF-16 string buffer to an UTF-8 string
const Steinberg::Vst::TChar * | toTChar (const std::u16string &str)
template<typename NumberT>
std::u16string | toString (NumberT value)
| convert a number to an UTF-16 string
| SMTG_DEPRECATED_MSG ("Use Steinberg::Vst::StringConvert::convert (...)") inline std
| SMTG_DEPRECATED_MSG ("Use Steinberg::Vst::toTChar (...)") inline const Steinberg
template<typename NumberT>
| SMTG_DEPRECATED_MSG ("Use Steinberg::Vst::toString (...)") std

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.